Restore
Restore VoD pull zone
curl -X GET "https://api.5centscdn.com/v2/zones/vod/pull/42/restore" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/zones/vod/pull/42/restore"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/zones/vod/pull/42/restore", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/zones/vod/pull/42/restore", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/zones/vod/pull/42/restore')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Zone Updated",
"zone": {
"type": "pull",
"id": 12345,
"serviceid": 67890,
"alias": "riz/pradhyumanV5",
"hashid": "exa8jnlgpb63",
"mode": "vod",
"optimize": "http",
"optimizer": "",
"origin": "https://wmncdn.com",
"backup": "",
"cnames": "vod.wmncdn.com",
"live": "N",
"wafid": null,
"edgeruleids": 0,
"dnscheck": 1,
"ip": null,
"customhostheader": "",
"iswordpress": "0",
"awsSignatureV4": null,
"disabled": "1",
"created_at": "2024-02-15 15:51:47",
"updated_at": "2026-03-04 09:36:36",
"deleted": null,
"router": "mycdn",
"remaining": 0,
"status": "Disabled",
"name": "sample-pull-zone",
"fqdn": "cdn.example.com",
"fqdnVoD": "cdn.example.com",
"ssl": {
"http": "N",
"http2": "N",
"redirect": "N",
"mode": "L",
"certid": "cdn.example.com",
"zerossl": {
"logDir": "/var/logs/ssl/2023/sample",
"cn": "cdn.example.com",
"sans": [
"vod.wmncdn.com"
],
"strSans": "vod.wmncdn.com",
"certDomains": "cdn.example.com,vod.wmncdn.com",
"baseDir": "/etc/ssl/zerossl/cdn.example.com/",
"cnfFile": "/etc/ssl/zerossl/cdn.example.com/csr.cnf",
"csrFile": "/etc/ssl/zerossl/cdn.example.com/csr.pem",
"keyFile": "/etc/ssl/zerossl/cdn.example.com/privkey.pem",
"crtFile": "/etc/ssl/zerossl/cdn.example.com/cert.pem",
"chnFile": "/etc/ssl/zerossl/cdn.example.com/chain.pem",
"fulFile": "/etc/ssl/zerossl/cdn.example.com/fullchain.pem",
"crtFileParsed": {
"name": "/CN=cdn.example.com",
"subject": {
"CN": "cdn.example.com"
},
"hash": "f6a22c8c",
"issuer": {
"C": "AT",
"O": "ZeroSSL",
"CN": "ZeroSSL RSA Domain Secure Site CA"
},
"version": 2,
"serialNumber": "41891644561346293170065031837456420734",
"serialNumberHex": "1F84098A65D4231A1399162C8A364F7E",
"validFrom": "260103000000Z",
"validTo": "260403235959Z",
"validFrom_time_t": 1767398400,
"validTo_time_t": 1775260799,
"signatureTypeSN": "RSA-SHA384",
"signatureTypeLN": "sha384WithRSAEncryption",
"signatureTypeNID": 669,
"purposes": {},
"extensions": {
"authorityKeyIdentifier": "keyid:AB:CD:EF:01:23:45:67:89:AB:CD:EF:01:23:45:67:89",
"subjectKeyIdentifier": "AB:CD:EF:01:23:45:67:89:AB:CD:EF:01:23:45:67:89",
"keyUsage": "Digital Signature, Key Encipherment",
"basicConstraints": "CA:FALSE",
"extendedKeyUsage": "TLS Web Server Authentication, TLS Web Client Authentication",
"certificatePolicies": "Policy OID",
"authorityInfoAccess": "OCSP - URI:http://ocsp.zerossl.com",
"ct_precert_scts": "Signed Certificate Timestamps",
"subjectAltName": "DNS:cdn.example.com, DNS:vod.wmncdn.com"
}
},
"dbRow": {
"cn": "cdn.example.com",
"sans": "vod.wmncdn.com",
"certid": "a4483c61d4abc54d837e75dd305f7674",
"created": "2026-03-30 22:52:55",
"expires": "2026-06-28 23:59:59",
"status": "draft",
"create_meta": {},
"validate_meta": {
"success": false,
"error": {
"code": 0,
"type": "domain_control_validation_failed",
"details": {}
}
}
}
},
"enabled": "Y",
"warning": "Certificate Expired"
},
"cnamesArr": [
"vod.wmncdn.com"
],
"cnamesArrFqdn": [
"vod.wmncdn.com",
"cdn.example.com"
],
"waf": {
"enabled": "N"
},
"defaultBehaviors": {},
"edgeRules": [],
"behaviorId": 3453,
"modeI": "vod",
"originip": {
"enabled": "N"
},
"baseDirectory": "",
"hostHeader": "wmncdn.com",
"shield": {
"network": "0",
"enabled": "Y",
"shields": [
"CA"
]
},
"proxied": false,
"origin_auth": {
"type": "none"
},
"domainlock": {
"enabled": "N",
"policy": "N",
"list": "",
"ips": "",
"noreferer": "N",
"active": "N"
},
"geoblock": {
"enabled": "N",
"policy": "N",
"list": [
""
],
"ips": "",
"active": "N"
},
"securetoken": {
"enabled": "N",
"policy": "F",
"keyip": "N",
"list": "",
"timeout": 5,
"session": "0",
"ips": "",
"dirs": "",
"active": "N"
},
"ipaccess": {
"enabled": "N",
"policy": "N",
"list": "",
"ips": "",
"active": "N"
},
"useragent": {
"enabled": "N",
"policy": "Y",
"list": "",
"ips": "",
"casesensitive": "N",
"active": "N",
"listArr": [
""
]
},
"eac": {
"enabled": "N",
"policy": "N",
"list": "",
"ips": "",
"active": "N"
},
"bwlimit": {
"enabled": "N",
"policy": "1",
"rate": 0,
"rateafter": 0,
"payg": "N",
"active": "N"
},
"cache": {
"smart": "0",
"cache": "2592000s",
"expiry": "1d",
"querystring": "Y",
"cachecontrol": "Y",
"usestale": "N",
"revalidate": "Y",
"cacheInSecs": "2592000",
"cacheInMins": 43200,
"expiryInSecs": 86400,
"expiryInMins": 1440
},
"edge": {
"compression": "N",
"compressionlevel": "6",
"disposition": "N",
"stripcookie": "N",
"xff": "Y",
"cors": "Y",
"webp": "N",
"pseudostreaming": "N",
"wp": "N",
"lfo": "Y",
"prefresh": "N"
},
"cdnservice": {
"purgeurls": [
"/dashboard/103/zones/vod/pull/3908/purge"
],
"purgeurl": "["\\/dashboard\\/103\\/zones\\/vod\\/pull\\/3908\\/purge"]",
"authtoken": "c2FtcGxlLWF1dGh0b2tlbi1oZXJl"
},
"ftpdetails": {
"username": "user_67890_push_12345",
"password": "WA572y4zss"
},
"playbackurls": {
"scheme": "http",
"name": "/path/to/filename.mp4",
"url_prefix": "http://vod.wmncdn.com",
"http": "http://vod.wmncdn.com/path/to/filename.mp4",
"hls": "https://hash-hls-live.5centscdn.com",
"dash": "https://hash-hls-live.5centscdn.com",
"players": {
"hostname": "player.example.com",
"flowplayer": {
"base": "http://player.example.com/flowplayer/hls/",
"hls": "http://player.example.com/flowplayer/hls/"
},
"videojs": {
"base": "http://player.example.com/videojs/hls/",
"hls": "http://player.example.com/videojs/hls/"
},
"own": {
"hashes": {},
"baseQ": "?showcv=true&title=[ReplaceWithVideoTitle]",
"base": "http://player.example.com/5centscdn/auto/skin1/sampleplayer1/",
"hls": "http://player.example.com/5centscdn/auto/skin1/sampleplayer1/"
}
}
},
"seo": {
"canonical": "N",
"robots": "N",
"robotstxt": "N",
"robotstxtcustom": ""
},
"hasEdgeRules": true
}
}
GET
/zones/vod/pull/{zoneid}/restoreGET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
zoneidinteger
RequiredZone ID
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Responses
resultstring
Status of the API response.
messagestring
Human-readable status or result message
zoneobject
Was this page helpful?